C//////////////////////////////////////////////////////////////////////

C////  $Id: exci.inc,v 1.5 2006/04/24 15:32:17 saroun Exp $

C////

C////  variables shared with EXCI, R E S T R A X   4.81

C////

C

C Contains:

C =========

C Monte Carlo ray-tracing results:

C QOM(1:4,j),PQOM(j) .... value of (Q,E) and weight for j-th event

C IQOM(j) .... the index of data set corresponding to given j-th event.

C NQOM(k) .... partitioning of the QOM, PQOM ... arrays, i.e. the number

C              of events stored for the k-th data set is NQOM(k)-NQOM(k-1).

C CHKQOM  ...  check sum generated each time QOM array is changed

C

C Instrument setting:

C QOM0(1:4,k)   .... Spectrometer position (Q,E) for k-th data set

C

C Model parameters:

C PARAM(MPAR)    ... values of adjustable model variables

C PARNAME(MPAR)  ... names of adjustable model variables (>= 10 characters)

C WEN(6)         ... energy widths of dispersion branches. 

C                    RESTRAX uses different convolution methods for the WEN=0 and WEN>0 cases

C FIXPARAM(MPAR) ... indicates which variables are fixed (=0) or free (>0)

C NTERM          ... number of adjustable model parameters

C NBR            ... number of dispersion branches

C EXCREAD        ... how to read file with model parameters: (0) never (1) when needed (2) always

C EXCUNIT        ... set to unit number when the file with model parameters is open

C 

C//////////////////////////////////////////////////////////////////////





C/// NOTICE:  'const.inc' must precede to get dimension constants

      

      REAL*4 QOM(4,MQOM),PQOM(MQOM),QOM0(4,MDAT)

      INTEGER*4 NQOM(0:MDAT),IQOM(MQOM),NDATQOM            

      REAL*8 PARAM(MPAR),WEN(6),CHKQOM

      INTEGER*4 FIXPARAM(MPAR),nterm,nbr,EXCREAD,EXCUNIT

      CHARACTER*128 PHONNAME,PHONTITLE

      CHARACTER*16  PARNAME(MPAR)

      COMMON /QOMEGA/ QOM0,QOM,PQOM,IQOM,NQOM,NDATQOM,CHKQOM

      COMMON /MODEL/ NTERM,NBR,EXCREAD,EXCUNIT,FIXPARAM,WEN,PARAM,

     &  PHONNAME,PHONTITLE,PARNAME

